package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户设置对象 tb_user_config
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbUserConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long userId;

    /** 公众号开启推送1是0否 */
    @Excel(name = "公众号开启推送1是0否")
    private Integer pushOpen;

    /** 推送时间,号隔开 */
    @Excel(name = "推送时间,号隔开")
    private String pushTime;

    /** 推送次数 */
    @Excel(name = "推送次数")
    private Integer pushCount;

    /** 是否关注公众号1是0否 */
    @Excel(name = "是否关注公众号1是0否")
    private Integer subMp;

    /** 公众号openid */
    @Excel(name = "公众号openid")
    private String mpOpenId;

    /** 不接受推送开始时间 */
    @Excel(name = "不接受推送开始时间")
    private String forbidStartTime;

    /** 不接受推送结束时间 */
    @Excel(name = "不接受推送结束时间")
    private String forbidEndTime;

    /** 订阅查询时间戳（秒） */
    @Excel(name = "订阅查询时间戳", readConverterExp = "秒=")
    private Long subQueryTime;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setPushOpen(Integer pushOpen) 
    {
        this.pushOpen = pushOpen;
    }

    public Integer getPushOpen() 
    {
        return pushOpen;
    }
    public void setPushTime(String pushTime) 
    {
        this.pushTime = pushTime;
    }

    public String getPushTime() 
    {
        return pushTime;
    }
    public void setPushCount(Integer pushCount) 
    {
        this.pushCount = pushCount;
    }

    public Integer getPushCount() 
    {
        return pushCount;
    }
    public void setSubMp(Integer subMp) 
    {
        this.subMp = subMp;
    }

    public Integer getSubMp() 
    {
        return subMp;
    }
    public void setMpOpenId(String mpOpenId) 
    {
        this.mpOpenId = mpOpenId;
    }

    public String getMpOpenId() 
    {
        return mpOpenId;
    }
    public void setForbidStartTime(String forbidStartTime) 
    {
        this.forbidStartTime = forbidStartTime;
    }

    public String getForbidStartTime() 
    {
        return forbidStartTime;
    }
    public void setForbidEndTime(String forbidEndTime) 
    {
        this.forbidEndTime = forbidEndTime;
    }

    public String getForbidEndTime() 
    {
        return forbidEndTime;
    }
    public void setSubQueryTime(Long subQueryTime) 
    {
        this.subQueryTime = subQueryTime;
    }

    public Long getSubQueryTime() 
    {
        return subQueryTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("pushOpen", getPushOpen())
            .append("pushTime", getPushTime())
            .append("pushCount", getPushCount())
            .append("subMp", getSubMp())
            .append("mpOpenId", getMpOpenId())
            .append("forbidStartTime", getForbidStartTime())
            .append("forbidEndTime", getForbidEndTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("subQueryTime", getSubQueryTime())
            .toString();
    }
}
